org.apache.olingo.commons.api.edm.geo

## Class Geospatial

- java.lang.Object
- - org.apache.olingo.commons.api.edm.geo.Geospatial

- Direct Known Subclasses:
    ComposedGeospatial, Point, Polygon

      public abstract class Geospatial
      extends Object

  Base class for all geospatial info.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Geospatial.Dimension` Dimension of the geospatial type
    `static class` | `Geospatial.Type` Type of the geospatial type

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Geospatial.Dimension` | `dimension`
    `protected SRID` | `srid` Null value means it is expected to vary per instance.
    `protected Geospatial.Type` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Geospatial(Geospatial.Dimension dimension, Geospatial.Type type, SRID srid)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Geospatial.Dimension` | `getDimension()` Gets dimension.
    `abstract EdmPrimitiveTypeKind` | `getEdmPrimitiveTypeKind()` Returns the `EdmPrimitiveTypeKind`
    `Geospatial.Type` | `getGeoType()` Gets type.
    `SRID` | `getSrid()` Gets s-rid.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dimension

          protected final Geospatial.Dimension dimension

    - #### type

          protected final Geospatial.Type type

    - #### srid

          protected final SRID srid

      Null value means it is expected to vary per instance.

  - ### Constructor Detail

    - #### Geospatial

          protected Geospatial(Geospatial.Dimension dimension,
                               Geospatial.Type type,
                               SRID srid)

      Constructor.
      Parameters:
        `dimension` - dimension
        `type` - type
        `srid` - SRID

  - ### Method Detail

    - #### getDimension

          public Geospatial.Dimension getDimension()

      Gets dimension.
      Returns:
        dimension.
      See Also:
        `Geospatial.Dimension`

    - #### getGeoType

          public Geospatial.Type getGeoType()

      Gets type.
      Returns:
        type.
      See Also:
        `Geospatial.Type`

    - #### getSrid

          public SRID getSrid()

      Gets s-rid.
      Returns:
        s-rid.

    - #### getEdmPrimitiveTypeKind

          public abstract EdmPrimitiveTypeKind getEdmPrimitiveTypeKind()

      Returns the `EdmPrimitiveTypeKind`
      Returns:
        EDM primitive type kind

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.